Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

If requesting help, make sure to mention what game you are attempting to use ACT with.
For the best FFXIV support, join Ravahn's Discord Server. Also check out ngld's FFXIV FAQ for starter diagnostics. Lastly, Jojo's setup guide.

"There were errors compiling the plugin source file"

Hi folks. Against my better judgement (don't fix it if it ain't broke) I decided to install the recently updated ACT English Parser for EQ2 plugin. Now I have a problem where none existed before. If I try to enable the plugin I get a message saying "There were errors compiling the plugin source file" When I look at the plugin info section as suggested I see "

ACT_English_Parser.cs

Line: 1462 - (CS1061) 'Advanced_Combat_Tracker.FormActMain' does not contain a definition for 'PlayMiscSound' and no extension method 'PlayMiscSound' accepting a first argument of type 'Advanced_Combat_Tracker.FormActMain' could be found (are you missing a using directive or an assembly reference?)

Line: 2057 - (CS0117) 'Advanced_Combat_Tracker.CombatantData' does not contain a definition for 'DamageTypeDataOutgoingPowerReplenish'

Line: 2058 - (CS0117) 'Advanced_Combat_Tracker.CombatantData' does not contain a definition for 'DamageTypeDataOutgoingPowerDamage'

Line: 2059 - (CS0117) 'Advanced_Combat_Tracker.CombatantData' does not contain a definition for 'DamageTypeDataOutgoingCures'

What do I need to do to get my beloved ACT working problem free as it was before? Thanks in advance for any help.

Comments

  • It sounds like your version of ACT is extremely old, where the plugin requires some things that are more recent inside of ACT.
    Please update ACT to something more recent... if you cannot update ACT from the About tab, please visit the website and run the installer from the downloads section.
  • I guess I will loose all my triggers like that?
  • I'm not asking you to uninstall.
Sign In or Register to comment.